### Hierarchy

- DialogMessage

## Index

### Properties

- cause
- children
- code
- message
- messageType
- propertyNames
- stackTrace
- type

## Properties

### cause

cause: any

- Defined in models/DialogMessage.ts:18

An object typically provided to help programmers diagnose an error. For example, a cause can be the name of a host programming exception.

### children

children: DialogMessage[]

- Defined in models/DialogMessage.ts:26

If this message is a generalization or aggregation, then children messages can be used to explain the individual facets.

### code

code: string

- Defined in models/DialogMessage.ts:7

A short language-independent identifier

### message

message: string

- Defined in models/DialogMessage.ts:13

A human-readable informative description. If a code is provided, then this message explains the meaning of the code.

### messageType

messageType: DialogMessageMessageType

- Defined in models/DialogMessage.ts:9

### propertyNames

propertyNames: string[]

- Defined in models/DialogMessage.ts:22

This property is provided when the message pertains to one or more properties in a user interface view.

### stackTrace

stackTrace: string

- Defined in models/DialogMessage.ts:30

If the case of a host programming error, this property contains a stack trace of the host programming language.

### type

type: string

- Defined in models/DialogMessage.ts:32

Generated using TypeDoc